Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class ContinuationMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

Direct Known Subclasses:
  FetchHandleMessage, FetchMessage, GCRefreshMessage, InsertMessage, LookupHandlesMessage, LookupMessage

public abstract class ContinuationMessage
extends PastMessage
implements Continuation

Version:
  $Id: ContinuationMessage.java 2620 2005-06-29 22:33:06Z jstewart $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected java.lang.Exception` | `exception` DESCRIBE THE FIELD
`protected java.lang.Object` | `response` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`protected` | `ContinuationMessage(int uid, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the data to be stored

Method Summary
`java.lang.Object` | `getResponse()` Returns the response
`void` | `receiveException(java.lang.Exception e)` Method which builds a response for this message, using the provided exception, which was thrown
`void` | `receiveResult(java.lang.Object o)` Method which builds a response for this message, using the provided object as a result.
`void` | `returnResponse(Continuation c, Environment env, java.lang.String instance)` Method by which this message is supposed to return it's response.

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### response

    protected java.lang.Object response

  DESCRIBE THE FIELD

### exception

    protected java.lang.Exception exception

  DESCRIBE THE FIELD

Constructor Detail

### ContinuationMessage

    protected ContinuationMessage(int uid,
                                  NodeHandle source,
                                  Id dest)

  Constructor which takes a unique integer Id, as well as the data to be stored

Parameters:
  `uid` - The unique id
  `source` - The source handle
  `dest` - The destination address

Method Detail

### getResponse

    public java.lang.Object getResponse()

  Returns the response

  Returns:
    The response

### receiveResult

    public void receiveResult(java.lang.Object o)

  Method which builds a response for this message, using the provided object as a result.

  Specified by:
    `receiveResult` in interface `Continuation`
  Parameters:
    `o` - The object argument

### receiveException

    public void receiveException(java.lang.Exception e)

  Method which builds a response for this message, using the provided exception, which was thrown

  Specified by:
    `receiveException` in interface `Continuation`
  Parameters:
    `e` - The exception argument

### returnResponse

    public void returnResponse(Continuation c,
                               Environment env,
                               java.lang.String instance)

  Method by which this message is supposed to return it's response.

  Specified by:
    `returnResponse` in class `PastMessage`
  Parameters:
    `c` - The continuation to return the reponse to.
    `env` - DESCRIBE THE PARAMETER
    `instance` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.